Bug 1290647 - FreeBSD bootstrap: GNU tar is required for ./mach package. r=glandium, a=sylvestre
authorJan Beich <jbeich@FreeBSD.org>
Sat, 30 Jul 2016 06:09:54 +0000
changeset 349662 672efbb3ea375636b36a74d15cf3763741e098bb
parent 349661 7d36949a4bd18cba1e6195f435c282bbfdeb305c
child 349663 f6b3d411b56846cb084a3ae5d63220d71f2209db
push id1230
push userjlund@mozilla.com
push dateMon, 31 Oct 2016 18:13:35 +0000
treeherdermozilla-release@5e06e3766db2 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersglandium, sylvestre
bugs1290647
milestone50.0a2
Bug 1290647 - FreeBSD bootstrap: GNU tar is required for ./mach package. r=glandium, a=sylvestre MozReview-Commit-ID: 36Yn6n5bOeQ
python/mozboot/mozboot/freebsd.py
--- a/python/mozboot/mozboot/freebsd.py
+++ b/python/mozboot/mozboot/freebsd.py
@@ -9,16 +9,17 @@ class FreeBSDBootstrapper(BaseBootstrapp
     def __init__(self, version, flavor, **kwargs):
         BaseBootstrapper.__init__(self, **kwargs)
         self.version = int(version.split('.')[0])
         self.flavor = flavor.lower()
 
         self.packages = [
             'autoconf213',
             'gmake',
+            'gtar',
             'mercurial',
             'pkgconf',
             'zip',
         ]
 
         self.browser_packages = [
             'dbus-glib',
             'gconf2',